Manual mode offset limits (A4)

IntroductionPAGEREF _Toc307389370 \h2

Description 3

CNC Programming 6

Absolute offsetlimits via ADS 8

Parameters 12

Overview 12

Axis parameters 12

Channelparameter 12

ADS-Parameter 12

HLI-Parameter 12

More:

button Introduction

button Description

button CNC Programming

button Absolute offsetlimits via ADS

button Parameters


Introduction

Task

Under consideration of the amount and direction with the manual mode offset limits the sum of the additional set point values, contributed from the hand control elements, is observed during running interpolation.

Effectiveness

Offset limitation is possible with exclusive manual mode (G200) or manual mode with parallel interpolatin (G201). Für folgende Achstypen können Manual mode offset limits can be parametrized for the following axis types:

q Linear axes

q Rotatory axes

q Spindles

Parametrization

The limits for the manual mode offset ( P-AXIS-00137 / P-AXIS-00138 ) can be parametrized for each axis in the axis parameters list [AXIS] .

Instruction

In NC program the manual mode offset limits can be instructed with the NC command #SET OFFSET..

The limitation of moving range by offset limits is also possible for modulo axes.


Description

Task

The control offers the possibility to provide the axes via manual control elements (e.g. handwheels) with additional set point values during running interpolation; this means during the runtime of an NC program. This mode is activated by G201.

By G200 axis can be moved in manual mode without parallel interpolation.

The additional contributed set point values can be limited for each axis direction by the definition of the manual mode offset limits.

Effectiveness

After programming of G201/G200 and until deselection with G202 the additional set point values, contributed from the hand control elements, are add under consideration of the effective axis moving direction. The sum off all given set point values is checked for exceeding the defined positive or negative offset limits.

The additional set point offsets, contributed during manual operation, remain active after deselection of parallel interpolation with NC command G202.

Messages

The exceeding of the data format range for the positive and negative offset limits during parametrization and also the exceeding of the offset limits during parallel interpolation (G201) in NC program creates warnings respectively error messages.

Violation of range

The data format range for the offset limits is checked both, during start-up of the control, if the values are taken over from the axis parameters list, and also at programming of NC command #SET OFFSET (see 0).

If the actual position is out of offset range the user just can drive in direction of valid offset range.

Incremental jog

The excceeding of the offset limits creates a message (ID: 150008). The affected axis can be moved in opposite direction.

Softwarelimits

If the manual operation with parallel interpolation (G201) is active, the software limit switches also can be exceeded by the additional set point values, contributed by the manual control elements. This is monitored by an error message (ID: 50041, 50042).

The reaction on this message has to be a RESET of the control..

Modulo axes

For modiulo axes the offset limits can include several modulo revolutions. The offset limits are correlate to the axis position valid at manual mode activation by G200 / G201. This reference position can by read by ADS or directly via the HLI.

If the axis is moved to the another modulo range the offsetlimits are not automatically moved to the new modulo range.

Example

Offsetlimits within on modulo range

G200

negative limit = 120°

positive limit = 220°

Offsetlimits include several modulo ranges

G200

negative limit = -670°

positive limit = 560°

Offsetlimits within other modulo range

G200

negative limit = 800°

positive limit = 920°

Change of reference position by reactivation of manual mode axis

G200

negative limit = 800°

positive limit = 920°

move axis +740°

continue motion / reset

G200

negative limit = 80°

positive limit = 200°

The offset limit checking is deactivated if both values ( P-AXIS-00137, P-AXIS-00138 ) are set to zero.

Example of axis parameter:

handbetrieb.offsetgrenze_pos 0

handbetrieb.offsetgrenze_neg 0


CNC Programming

Manual mode offset limits | The following command is for the programming of the manual mode offset limits in the programming coordinate system for the respective axis : #SET OFFSET [ <neg_offset>, <pos_offset> ] <axis_ name> For the parameters the following regulations are valid:
 | <neg_offset> negative offset value, neg_offset ≤ 0 <pos_offset> positive offset value, pos_offset ≥ 0 <axis_ name> Axis, for which the offset limit shall be valid.
 | These offset limits are valid for all manual operating modes. Only a sign check of the programmed offset limits is done. The offset values can be overwritten at any time without having previously programmed G202. Further verifications, for example, checking for exceedings of permissable ranges are not realized.

Programming example

%100

N010 G74 Y1

N015 G01 X10 Y10 F1000

N020 #SET OFFSET[-40,25] X

N020 #SET OFFSET[-200,250] X

N030 #SET OFFSET[-30,55] Y

N030 #SET OFFSET[-300,350] Y

N015 G90 G01 X10 Y10 Z0 F1000

N050 G201 #ACHSE[X,Y] (N040 G200

N060 P1 = 1

N070 $WHILE P1 < 10000

Z[P1/1000]

N080 $IF P1 == 100

N090 #SET OFFSET[-14,14] X

N100 $ENDIF

N080 $IF P1 == 600

N050 G202 #ACHSE[X,Y]

N050 G201 #ACHSE[X,Y]

N100 $ENDIF

N080 $IF P1 == 500

N100 $ENDIF

N110 P1 = P1 + 1

N120 #FLUSH WAIT

N120 $ENDWHILE

N1800 M30


Absolute offsetlimits via ADS

Absolute offsetlimits

Additional to the relative offset limits of teh axis parameter list or by CNC-program, the offset limits also can be specified in absolute manner.

The absolute offset limits are given in [0.1 um] after activation of manual mode and can be modified by ADS-writeacces. The offset limits are valid for the operation modes:

· handwheel

· incremetal jog (JOG)

· continuous jog (TIPP)

If during setting of new limits the axis are outside of the limit range, they just can be moved in direction of valid range.

Additionally for writing new limits via ADS, there exists an ADS-interface for reading the active limits.

After each command of new offset limits via ADS, the correct activation of the new offsets shall be verified be reading the active limits.

Example : Access by ADS-objectbrowser

Example : ADS-acces by PLC

Reading by PLC,

active limits

FbRead : ADSREAD;

fbRead( NetID := '', Port := 551,

IdxGrp := 16#00021301 + ChannelIdx,

IdxOffs := 16#0001001E + 16#00010000*AxisIdx,

LEN := 4, DestAddr := pDest,

READ := fStarted, TMOUT := T#1s);

Writing by PLC,

command limits

writeOffsetMin1 : ADSWRITE;

writeOffsetMax1 : ADSWRITE;

writeOffsetMin1( NetID := '', Port := 551,

IdxGrp := 16#00021301, IdxOffs := 16#00010019,

LEN := 4, SrcAddr := ADR(NewOffsetMin1),

WRITE := fWrite1, TMOUT := T#1s);

writeOffsetMax1( NetID := '', Port := 551,

IdxGrp := 16#00021301, IdxOffs := 16#0001001A,

LEN := 4, SrcAddr := ADR(NewOffsetMax1),

WRITE := fWrite1, TMOUT := T#1s);


Parameters

More:

button Overview

button Axis parameters

button Channelparameter

button ADS-Parameter

button HLI-Parameter


Overview

ID | Parameter | Description
P-AXIS-00137 | offsetgrenze_neg | Position of the negative offset limit at manual mode
P-AXIS-00138 | offsetgrenze _pos | Position of the positive offset limit at manual mode
P-CHAN-00114 | rel_offset_limits_std_manual_mode | Offsetlimits also active during G200

Programming example

# Positive Offsetgrenze in [0.1 um]

handbetrieb.offsetgrenze_pos 600000

# Negative Offsetgrenze in [0.1 um]

handbetrieb.offsetgrenze_neg -600000

The offset limit checking is deactivated if both values ( P-AXIS-00137, P-AXIS-00138 ) are set to zero.

Example of axis parameter:

handbetrieb.offsetgrenze_pos 0

handbetrieb.offsetgrenze_neg 0


Axis parameters

P-AXIS-00137 | Relative negative offset limit at manual mode
Parameter | handbetrieb.offsetgrenze_neg
Description | Position of the negative offset limit at manual mode
Data type | SGN32
Data range | MIN(SGN32) ≤ P-AXIS-00137 ≤ 0 P-AXIS-00137 and P-AXIS-00138 may not be 0 at the same time.
Dimension | translatory: 0,1µm | rotatory: 0,0001°
Default | 0
Remarks |

P-AXIS-00138 | Relative positive offset limit at manual mode
Parameter | handbetrieb.offsetgrenze_pos
Description | Position of the positive offset limit at manual mode
Data type | SGN32
Data range | 0 ≤ P-AXIS-00138 ≤ MAX(SGN32) P-AXIS-00138 and P-AXIS-00137 may not be 0 at the same time.
Dimension | translatory: 0,1µm | rotatory: 0,0001°
Default | 0
Remarks |


Channelparameter

P-CHAN-00114

Relative offsetlimits for G200-Activation

Parameter

rel_offset_limits_std_manual_mode

Description

For G200 the limitation of the axis is just done with the software limit switches, if the axis is referenced.

If additionally the offset limits shall be considered, the parameter "rel_offset_limits_std_manual_mode" must be set.

Datatype

BOOLEAN

Datarange

0/1

Dimension

TRUE / FALSE

Defaultvalue

0 - relative offsetlimits are not considered for G200.

Remark


ADS-Parameter

Command, absolute, minimum limit of manual mode
Description | Commanded absolute minimum manual mode limit.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.019 (+ 0x10.000 per axis index of channel)
Type | Signed 32 bit
Unit | 0.1 µm
Access | read and write

Command, absolute, maximum limit of manual mode
Description | Commanded absolute maximum manual mode limit.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.01A (+ 0x10.000 per axis index of channel)
Type | signed 32 bit
Unit | 0.1 µm
Access | read and write

Active, absolute, minimum limit of manual mode
Description | Actual absolute minimum manual mode limit.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.01D (+ 0x10.000 per axis index of channel)
Type | Signed 32 bit
Unit | 0.1 µm
Access | read only

Active, absolute, maximum limit of manual mode
Description | Actual absolute maximum manual mode limit.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.01E (+ 0x10.000 per axis index of channel)
Type | signed 32 bit
Unit | 0.1 µm
Access | read only

Actual manual offset
Description | Actual manual mode offset.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.01B (+ 0x10.000 per axis index of channel)
Type | signed 32 bit
Unit | 0.1 µm
Access | read only

Command position of manual mode
Description | Actual axis position including all manual offsets (without modulo calculation)
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 per channel index)
Index-Offset | 0x10.01C (+ 0x10.000 per axis index of channel)
Type | signed 32 bit
Unit | 0.1 µm
Access | read only


HLI-Parameter

Commandposition (ACS)
Description | Actual axis position including all manual offsets (without modulo calculation)
Signaldirection | CNC -> PLC
Unit | 0.1 µm
ST-Pfath | pMC[..]^.addr^.StateBahn_Data.HLIBahnCoordDispData_Coord[..]. D_AcsPosition
Datatyp | DINT
Access | PLC liest